# Информация о релизах

# v0.9.0

### Реорганизация библиотеки:
- изменена структура каталогов, теперь она соответсвует рекомендациям CMSIS
- добавлены все необходимые файлы из CMSIS v.4.5.0
- примеры и шаблоны были обновлены, чтобы корректно работать с новым расположением каталогов
- обновлен хедер периферии
- устранено дублирование хедера периферии и скриптов линкера в примерах
- имена регистров и полей, используемых внутри библиотеки, были приведены к новому хедеру

### Общие измения: 
- добавлена документация функции GPIO_AltFuncConfig()
- улучшены механизмы работы с флагами UART, CAP

### Фиксы:
- ошибки инициализации uart для printf в примерах DMA
- потери входящих данных при использовании UART_SendData()

# v0.8.0

### Добавлено:
- драйвер для работы с блоками захвата (CAP)
- драйвер для работы со сторожевым таймером (WATCHDOG)

### Исключено:  
  
### Исправлено: 
- доработан алгоритм перехода на тактирование от PLL
- изменена функция управления сбросом периферии
- правка мелких неточностей

# v0.7.0

### Добавлено:
- драйвер для работы с АЦП (ADC)
- более подробное описание GPIO, BOOTFLASH, EXTMEM, DMA

### Исключено:  
  
### Исправлено: 
- мелкие неточности документации функций блока UART, DMA, RCC

# v0.6.0

### Добавлено:
- драйвер для работы с загрузочной флеш (BOOTFLASH)
- драйвер для работы с пользовательской флеш (USERFLASH)
- драйвер для работы с внешней памятью (EXTMEM)

### Исключено:  
  
### Исправлено: 
- мелкие неточности документации блока UART

# v0.5.0

### Добавлено:
- драйвер для управления блоками таймеров
- драйвер для RTC

### Исключено:  
  
### Исправлено: 


# v0.4.0

### Добавлено:
- драйвер для управления UART

### Исключено:  
  
### Исправлено: 
- баг невозможности инициализации нескольких пинов одного порта раздельно


# v0.3.0

### Добавлено:
- драйвер для управления DMA

### Исключено:  
  
### Исправлено:  


# v0.2.0

### Добавлено:
- драйвер для управления тактированием и сбросом (RCC) К1921ВК01Т

### Исключено:  
  
### Исправлено:  
- структура документации GPIO
- форматирование и структура драйвера GPIO 
- некритичные изменения в общей архитектуре

# v0.1.0

### Добавлено:
- драйвер GPIO К1921ВК01Т
- темная и светалая темы документации
- генерация файла документации для QT .qch

### Исключено:  
  
### Исправлено:  
  